Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics
Class PDLineDashPattern

    java.lang.Object
      org.pdfbox.pdmodel.graphics.PDLineDashPattern

All Implemented Interfaces:
  COSObjectable

public class PDLineDashPattern
extends Object
implements COSObjectable

This class represents the line dash pattern for a graphics state. See PDF Reference 1.5 section 4.3.2

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDLineDashPattern()` Creates a blank line dash pattern.
`PDLineDashPattern(COSArray ldp)` Constructs a line dash pattern from an existing array.

Method Summary
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`List` | `getDashPattern()` This will return a list of java.lang.Integer objects that represent the line dash pattern appearance.
`int` | `getPhaseStart()` This will get the line dash pattern phase.
`void` | `setDashPattern(List dashPattern)` This will replace the existing line dash pattern.
`void` | `setPhaseStart(int phase)` This will set the line dash pattern phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDLineDashPattern

    public PDLineDashPattern()

  Creates a blank line dash pattern. With no dashes and a phase of 0.

### PDLineDashPattern

    public PDLineDashPattern(COSArray ldp)

  Constructs a line dash pattern from an existing array.

Parameters:
  `ldp` - The existing line dash pattern.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Description copied from interface: `COSObjectable`
  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.
  See Also:
    `COSObjectable.getCOSObject()`

### getPhaseStart

    public int getPhaseStart()

  This will get the line dash pattern phase. The dash phase specifies the distance into the dash pattern at which to start the dash.

  Returns:
    The line dash pattern phase.

### setPhaseStart

    public void setPhaseStart(int phase)

  This will set the line dash pattern phase.

  Parameters:
    `phase` - The new line dash patter phase.

### getDashPattern

    public List getDashPattern()

  This will return a list of java.lang.Integer objects that represent the line dash pattern appearance.

  Returns:
    The line dash pattern.

### setDashPattern

    public void setDashPattern(List dashPattern)

  This will replace the existing line dash pattern.

  Parameters:
    `dashPattern` - A list of java.lang.Integer objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD